Hitachi Vantara Pentaho Community Forums
Results 1 to 6 of 6

Thread: Pentaho + Kettle + SAP

  1. #1

    Default Pentaho + Kettle + SAP

    Et ouais, encore moi.
    Et encore avec un autre module de pentaho, Kettle.

    Avec l'outil Kettle, j'ai suivi pas mal de truc sur le net pour pouvoir me connecter à une base SAP.
    Cela marche et je peux ainsi faire mes transformations.
    Seulement, je passe par un "utilitaire" : PROSAPCONN
    Et donc, le soucis, c'est que, quand je veux le mettre sur Pentaho, ben il me met cette erreur :
    Code:
    PDI a rencontré une erreur durant la lecture de la transformation depuis le fichier XML
    Impossible de charger la classe pour l'étape/plugiciel avec l'id [ProSAPCONN].
    Vérifier si le plugiciel est disponible dans le sous-répertoire des plugiciels.
    (org.pentaho.plugin.kettle.KettleComponent)
    Normal, en même temps... Mais ou se trouve le sous-répertoire des plugiciels???

    Voilà, tant de question.

  2. #2
    Join Date
    Mar 2007
    Posts
    216

    Default

    Bonjour,

    J'ai ça :
    S:\logiciels\kettle\v2.5.0\version decompressee\plugins\steps\ProSAPCONN
    C'est ce que tu cherches ?

    a+,=)
    -=Clement=-

  3. #3

    Default

    Oui, ça c'est pour Kettle.
    Mon problème ne vient pas de Kettle mais de Pentaho.

    Lorsque je créé mes transformations sur Kettle, elles sont parfaites, tournent bien etc... d'ailleurs, c'est impressionnant de voir cet outil (Kettle) ramener si facilement le nombre important de table de SAP.

    Bref, mon soucis vient dans Pentaho lorsque je créé mon action pour exéctuer ma transformation Kettle via Pentaho.
    Pentaho, lui, ne connait pas ProSAPCONN donc cela ne marche pas et me génère l'erreur précédemment citée.

    Voilà, merci quand même clément.

  4. #4

    Default

    Bonjour,

    Quel est la version de Pentaho que vous utilisés ?

    Cédric
    Cedric CLAIDIERE
    Aprolis
    www.aprolis.com

  5. #5

    Default

    Je me suis dis que prendre la toute derniere, il y aurait plus de chances d'avoir plus de trucs... moins stable mais bon...

    Il s'agit donc de la 1.5.5.

  6. #6

    Default

    Après discussion, il semblerait que les drivers SAP ne soient pas OpenSource...

    SI c'est bien le cas il va falloir enregistrer les drivers SAP (le plugin de Kettle) sur la plateforme Pentaho afin que celle-ci en est connaissance.

    Cédric
    Cedric CLAIDIERE
    Aprolis
    www.aprolis.com

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.